
Foreman - Bug #1588

Foreman should accept PE packages as dependencies 

04/26/2012 01:20 PM - Josh Baird

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently, Foreman searches for "puppet" packages as pre-reqs/dependencies on the RPM packages.  PE packages are all prefixed

with "pe-" (ie, pe-puppet, pe-ruby, etc).  Foreman should accept packages prefixed with "pe-" as valid dependencies for EL RPM

packages as well.

History

#1 - 04/26/2012 01:20 PM - Josh Baird

The same goes for foreman-proxy as well.

#2 - 01/03/2013 01:18 PM - Benjamin Papillon

- Category set to Packaging

#3 - 03/15/2016 07:25 AM - Ohad Levy

- Status changed from New to Rejected

I don't believe we plan to support our installer running on top of PE puppet, you can deploy foreman via opensource puppet and then change to PE if

you like.
